Name:		netxen-firmware
Summary:	QLogic Intelligent Ethernet Adapters Firmware
Version:	4.0.534
Release:	1%{?dist}
License:	Redistributable, no modification permitted
Group:		System Environment/Kernel
Source0:	phanfw.bin
Source1:	LICENCE.phanfw
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
# Needed for /lib/firmware

%description
QLogic Intelligent Ethernet (3000 and 3100 Series) Adapters Firmware.

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
# Firmware, do nothing.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware/
install -m0644 phanfw.bin %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE.phanfw
/lib/firmware/phanfw.bin

%changelog
* Tue Dec 22 2010 Zhenzhong Duan <zhenzhong.duan@oracle.com> 4.0.534-1
- Initial package based on firmware and license from vendor

